For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
          • GETSearch returns
          • GETGet a single return resource
          • PUTAuthorize a return
          • PUTIssue refund to customer for return
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP OrderCustomer Initiated Returns

Search returns

GET
https://api.feedamp.feedonomics.com/api/v1/returns
GET
/api/v1/returns
$curl -G https://api.feedamp.feedonomics.com/api/v1/returns \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>" \
> --data-urlencode "state=Pending Authorization,Pending Confirmation,Pending Shipping,Pending Refund,Processing Refund"
1{
2 "returns": [
3 {
4 "id": "123",
5 "state": "Pending Authorization",
6 "integration_name": "amazon",
7 "paused": 0,
8 "return_info": {
9 "mp_return_number": "152-123344ABC",
10 "mp_order_number": "111-99998888-55555",
11 "pre_authorized": 1,
12 "request_date": "2018-02-07T22:00:00.000Z",
13 "return_lines": [
14 {
15 "mp_return_line_number": "123-456-789",
16 "mp_order_line_number": "afdafasdgasdg",
17 "quantity": 2,
18 "reason": "wrong_item_received",
19 "shipping_expected": 1,
20 "sku": "1234-12353",
21 "product_name": "Beats Pill Speakers",
22 "requested_refund_principal": 1.05,
23 "requested_refund_tax": 0.11,
24 "requested_refund_shipping": 0,
25 "requested_refund_shipping_tax": 0,
26 "carrier": "FedEx",
27 "tracking_number": "168739720393",
28 "destination": "123 Example St. Los Angeles, CA"
29 }
30 ],
31 "respond_by_date": "2018-02-09T22:00:00.000Z",
32 "notes": "Didn't fit me!",
33 "merchant_return_number": "RMA-1234"
34 },
35 "order_id": "456"
36 }
37 ],
38 "next_cursor": "12FDG-31dsfgHW"
39}
Search returns for a client. Filter results via query params. The maximum recommended call frequency for retrieving data from this endpoint is 2 requests per second.
Was this page helpful?
Previous

Create a refund

Next

Get a single return resource

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

tokenstringRequired

The Authentication token obtained from the get_token route.

clientintegerRequired
The id of the client making the request.

Query parameters

openbooleanOptional
Setting to true will limit results to Returns considered to be in an open state. Setting to false will produce closed state Returns. Open Returns are Returns that are NOT in a terminal state. Terminal states are considered to be `Merchant Refunded`, `Merchant Rejected`, or `Customer Cancelled`. NOTE: This parameter is overridden by the "state" parameter if provided
statelist of enumsOptional

Comma delimited list of Return states to filter by. e.g: ?state=Pending Authorization,Pending Confirmation

marketplacesstringOptional
comma delimited list of marketplace IDs to filter results by
created-beforedatetimeOptional

filter results by returns created before date-time (ISO 8601) | if timezone is not specified default is EST/EDT.

created-afterdatetimeOptional

filter results by returns created after date-time (ISO 8601) | if timezone is not specified default is EST/EDT.

refreshed-beforedatetimeOptional

filter results by returns refreshed before date-time (ISO 8601) | if timezone is not specified default is EST/EDT.

refreshed-afterdatetimeOptional

filter results by returns refreshed after date-time (ISO 8601) | if timezone is not specified default is EST/EDT.

merchant-return-numberstringOptional

filter results by merchant return number (RMA)

limitdoubleOptional

THe max number of returns in the response (50-200). Default is 100.

cursorstringOptional
Cursor for the next page of returns.

Response

List of Order Returns
returnslist of objects
next_cursorstring
The cursor to get the next page of returns.

Errors

400
Bad Request Error

Setting to true will limit results to Returns considered to be in an open state. Setting to false will produce closed state Returns. Open Returns are Returns that are NOT in a terminal state. Terminal states are considered to be Merchant Refunded, Merchant Rejected, or Customer Cancelled.

NOTE: This parameter is overridden by the “state” parameter if provided